Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(6)

Issue 4373046: Event listener to extract (some) music events. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 11 months ago by Graham Percival (old account)
Modified:
5 years, 9 months ago
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Event listener to extract (some) music events. This may be useful on its own, or as a basis for other people to create/modify their own event listeners. I considered a few different names; I'm not sold on event-listener.ly. Other contenders were staff-events.ly, vivi-events.ly, and vivi-notes.ly. In the end, I thought that it would be better to avoid a Vivi-specific name. Even though this file is closely tied to Vivi, I don't think it's inappropriate to include it -- we include the Festival song stuff, after all.

Patch Set 1 #

Total comments: 26

Patch Set 2 : Refactor #

Patch Set 3 : Generalize (print-line ...) and indent with lispindent.lisp #

Patch Set 4 : Way better textspanner data #

Total comments: 10

Patch Set 5 : Include spam-console option for regtest. #

Patch Set 6 : Add comments #

Total comments: 1

Patch Set 7 : use 'rest' argument #

Unified diffs Side-by-side diffs Delta from patch set Stats (+290 lines, -0 lines) Patch
A input/regression/event-listener-output.ly View 1 2 3 4 1 chunk +71 lines, -0 lines 0 comments Download
A ly/event-listener.ly View 1 2 3 4 5 6 1 chunk +219 lines, -0 lines 0 comments Download

Messages

Total messages: 21
Graham Percival (old account)
First version of Vivi event listener. This is my first attempt at non-trivial scheme work; ...
5 years, 11 months ago (2011-04-07 09:44:17 UTC) #1
Valentin Villenave
Greetings Graham, this looks acceptable to me, although I'm certainly not the most qualified person ...
5 years, 11 months ago (2011-04-07 13:30:21 UTC) #2
MikeSol
http://codereview.appspot.com/4373046/diff/1/ly/event-listener.ly File ly/event-listener.ly (right): http://codereview.appspot.com/4373046/diff/1/ly/event-listener.ly#newcode36 ly/event-listener.ly:36: (string-concatenate (list Move close brackets up to previous argument ...
5 years, 11 months ago (2011-04-07 13:42:54 UTC) #3
Graham Percival (old account)
@Valentin's overall comment: we've had 2 or 3 people on -devel asking about this functionality ...
5 years, 11 months ago (2011-04-08 03:09:46 UTC) #4
Graham Percival (old account)
I've generalized the (print-foo ...) functions as (print-line ...), and indented with lispindent.lisp.
5 years, 11 months ago (2011-04-11 08:45:10 UTC) #5
Graham Percival (old account)
Thanks to Carl's help, I've fixed the text spanner formatting. I think it's ready to ...
5 years, 11 months ago (2011-04-15 08:17:11 UTC) #6
hanwenn
http://codereview.appspot.com/4373046/diff/12001/input/regression/event-listener-output.ly File input/regression/event-listener-output.ly (right): http://codereview.appspot.com/4373046/diff/12001/input/regression/event-listener-output.ly#newcode5 input/regression/event-listener-output.ly:5: listeners. The .notes file which is output from this ...
5 years, 11 months ago (2011-04-18 03:50:59 UTC) #7
Graham Percival (old account)
http://codereview.appspot.com/4373046/diff/12001/input/regression/event-listener-output.ly File input/regression/event-listener-output.ly (right): http://codereview.appspot.com/4373046/diff/12001/input/regression/event-listener-output.ly#newcode5 input/regression/event-listener-output.ly:5: listeners. The .notes file which is output from this ...
5 years, 11 months ago (2011-04-18 07:49:31 UTC) #8
hanwenn
On Mon, Apr 18, 2011 at 4:49 AM, <percival.music.ca@gmail.com> wrote: > > http://codereview.appspot.com/4373046/diff/12001/input/regression/event-listener-output.ly > File ...
5 years, 11 months ago (2011-04-18 14:09:52 UTC) #9
Graham Percival (old account)
On 2011/04/18 14:09:52, hanwenn wrote: > On Mon, Apr 18, 2011 at 4:49 AM, <mailto:percival.music.ca@gmail.com> ...
5 years, 11 months ago (2011-04-18 14:30:55 UTC) #10
Graham Percival (old account)
ok, doc patch uploaded to http://codereview.appspot.com/4438054/
5 years, 11 months ago (2011-04-19 11:16:46 UTC) #11
hanwenn
Right, but that is a doc patch. I am asking for comments in the code. ...
5 years, 11 months ago (2011-04-19 13:20:17 UTC) #12
Graham Percival (old account)
On 2011/04/19 13:20:17, hanwenn wrote: > Right, but that is a doc patch. I am ...
5 years, 11 months ago (2011-04-19 15:37:19 UTC) #13
hanwenn
LGTM. On Tue, Apr 19, 2011 at 12:37 PM, <percival.music.ca@gmail.com> wrote: > On 2011/04/19 13:20:17, ...
5 years, 11 months ago (2011-04-19 17:11:25 UTC) #14
Neil Puttock
http://codereview.appspot.com/4373046/diff/12002/ly/event-listener.ly File ly/event-listener.ly (right): http://codereview.appspot.com/4373046/diff/12002/ly/event-listener.ly#newcode102 ly/event-listener.ly:102: #(define (print-line engraver values) If you make `values' a ...
5 years, 11 months ago (2011-04-22 18:16:55 UTC) #15
Neil Puttock
On 18 April 2011 15:30, <percival.music.ca@gmail.com> wrote: > On 2011/04/18 14:09:52, hanwenn wrote: >> In ...
5 years, 11 months ago (2011-04-22 18:25:19 UTC) #16
Graham Percival (old account)
On 2011/04/22 18:16:55, Neil Puttock wrote: > (print-line engraver . values) Brilliant, thanks! Done.
5 years, 11 months ago (2011-04-23 16:34:00 UTC) #17
Graham Percival (old account)
On 2011/04/22 18:25:19, Neil Puttock wrote: > On 18 April 2011 15:30, <mailto:percival.music.ca@gmail.com> wrote: > ...
5 years, 11 months ago (2011-04-23 16:47:14 UTC) #18
hanwenn
On Sat, Apr 23, 2011 at 1:47 PM, <percival.music.ca@gmail.com> wrote: > Sorry, I'm still lost. ...
5 years, 11 months ago (2011-04-24 00:36:43 UTC) #19
Graham Percival (old account)
On 2011/04/24 00:36:43, hanwenn wrote: > You're passing all of the music through the typesetting ...
5 years, 9 months ago (2011-06-03 19:08:49 UTC) #20
Graham Percival (old account)
5 years, 9 months ago (2011-06-05 22:29:35 UTC) #21
thanks all, this is now pushed.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 80a51fa-tainted